>From 6b9aee2d0a37cb7e8b93614b693cda0e6c410d9b Mon Sep 17 00:00:00 2001
From: "Endi S. Dewata" <edewata@redhat.com>
Date: Wed, 12 Apr 2017 04:33:11 +0200
Subject: [PATCH] Reorganized audit event constants for CA.

Change-Id: I407a7a13c4e428e01632536faa27583e7c6d577e
---
 .../com/netscape/certsrv/logging/AuditEvent.java   | 11 +++
 .../netscape/cms/profile/common/EnrollProfile.java |  8 +-
 .../cms/servlet/cert/CMCRevReqServlet.java         | 26 +++----
 .../netscape/cms/servlet/cert/CertProcessor.java   |  7 +-
 .../com/netscape/cms/servlet/cert/DoRevokeTPS.java | 23 +++---
 .../netscape/cms/servlet/cert/DoUnrevokeTPS.java   | 17 ++---
 .../netscape/cms/servlet/cert/EnrollServlet.java   | 46 ++++++------
 .../cms/servlet/cert/RequestProcessor.java         |  9 ++-
 .../cms/servlet/cert/RevocationProcessor.java      | 10 +--
 .../cms/servlet/cert/scep/CRSEnrollment.java       |  3 +-
 .../cms/servlet/connector/ConnectorServlet.java    | 15 ++--
 .../cms/servlet/processors/CAProcessor.java        |  2 -
 .../servlet/profile/ProfileSubmitCMCServlet.java   | 12 ++-
 .../cms/servlet/request/ProcessCertReq.java        | 85 +++++++++++-----------
 14 files changed, 128 insertions(+), 146 deletions(-)

diff --git a/base/common/src/com/netscape/certsrv/logging/AuditEvent.java b/base/common/src/com/netscape/certsrv/logging/AuditEvent.java
index 82cb77f54d0c84fdca69beae34154d36a2965568..39314df3f2811b535bb646d6577535c8b45a8f7d 100644
--- a/base/common/src/com/netscape/certsrv/logging/AuditEvent.java
+++ b/base/common/src/com/netscape/certsrv/logging/AuditEvent.java
@@ -35,6 +35,17 @@ import com.netscape.certsrv.base.MessageFormatter;
  */
 public class AuditEvent implements IBundleLogEvent {
 
+    public final static String NON_PROFILE_CERT_REQUEST =
+            "LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST_5";
+    public final static String PROFILE_CERT_REQUEST =
+            "LOGGING_SIGNED_AUDIT_PROFILE_CERT_REQUEST_5";
+    public final static String CERT_REQUEST_PROCESSED =
+            "LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED_5";
+    public final static String CERT_STATUS_CHANGE_REQUEST =
+            "LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_5";
+    public final static String CERT_STATUS_CHANGE_REQUEST_PROCESSED =
+            "LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED_7";
+
     public final static String AUTHZ_SUCCESS =
             "LOGGING_SIGNED_AUDIT_AUTHZ_SUCCESS_4";
     public final static String AUTHZ_SUCCESS_INFO =
diff --git a/base/server/cms/src/com/netscape/cms/profile/common/EnrollProfile.java b/base/server/cms/src/com/netscape/cms/profile/common/EnrollProfile.java
index 0ec3c9438961d6fe186584830fdf5f6371901069..370cc3315dc8404da5687e6f380e392ec8602de5 100644
--- a/base/server/cms/src/com/netscape/cms/profile/common/EnrollProfile.java
+++ b/base/server/cms/src/com/netscape/cms/profile/common/EnrollProfile.java
@@ -120,8 +120,6 @@ import netscape.security.x509.X509Key;
 public abstract class EnrollProfile extends BasicProfile
         implements IEnrollProfile {
 
-    private final static String LOGGING_SIGNED_AUDIT_PROFILE_CERT_REQUEST =
-            "LOGGING_SIGNED_AUDIT_PROFILE_CERT_REQUEST_5";
     private PKIData mCMCData;
 
     public EnrollProfile() {
@@ -1915,7 +1913,7 @@ public abstract class EnrollProfile extends BasicProfile
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_PROFILE_CERT_REQUEST,
+                        AuditEvent.PROFILE_CERT_REQUEST,
                         auditSubjectID,
                         ILogger.SUCCESS,
                         auditRequesterID,
@@ -1928,7 +1926,7 @@ public abstract class EnrollProfile extends BasicProfile
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_PROFILE_CERT_REQUEST,
+                        AuditEvent.PROFILE_CERT_REQUEST,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditRequesterID,
@@ -1941,7 +1939,7 @@ public abstract class EnrollProfile extends BasicProfile
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_PROFILE_CERT_REQUEST,
+                        AuditEvent.PROFILE_CERT_REQUEST,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditRequesterID,
diff --git a/base/server/cms/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java b/base/server/cms/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
index 71c10ead9ab8df5967dec0e2019bbd29897d03a1..f4d7f8fd17ab8d51ca4e2a17f77fc3c3bf3c8669 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
@@ -53,6 +53,7 @@ import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertRecordList;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.AuditFormat;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.publish.IPublisherProcessor;
@@ -92,11 +93,6 @@ public class CMCRevReqServlet extends CMSServlet {
     private final static String REVOKE = "revoke";
     private final static String ON_HOLD = "on-hold";
     private final static int ON_HOLD_REASON = 6;
-    private final static String LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST =
-            "LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_5";
-    private final static String LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED =
-            "LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED_7";
-
     // http params
     public static final String SERIAL_NO = TOKEN_CERT_SERIAL;
     public static final String REASON_CODE = "reasonCode";
@@ -546,7 +542,7 @@ public class CMCRevReqServlet extends CMSServlet {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST,
+                        AuditEvent.CERT_STATUS_CHANGE_REQUEST,
                         auditSubjectID,
                         ILogger.SUCCESS,
                         auditRequesterID,
@@ -815,7 +811,7 @@ public class CMCRevReqServlet extends CMSServlet {
                     auditApprovalStatus == RequestStatus.REJECTED ||
                     auditApprovalStatus == RequestStatus.CANCELED) {
                 auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED,
+                        AuditEvent.CERT_STATUS_CHANGE_REQUEST_PROCESSED,
                         auditSubjectID,
                         ILogger.SUCCESS,
                         auditRequesterID,
@@ -832,7 +828,7 @@ public class CMCRevReqServlet extends CMSServlet {
                 // store a "CERT_STATUS_CHANGE_REQUEST" failure
                 // message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST,
+                        AuditEvent.CERT_STATUS_CHANGE_REQUEST,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditRequesterID,
@@ -849,7 +845,7 @@ public class CMCRevReqServlet extends CMSServlet {
                         auditApprovalStatus == RequestStatus.REJECTED ||
                         auditApprovalStatus == RequestStatus.CANCELED) {
                     auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED,
+                            AuditEvent.CERT_STATUS_CHANGE_REQUEST_PROCESSED,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditRequesterID,
@@ -870,7 +866,7 @@ public class CMCRevReqServlet extends CMSServlet {
                 // store a "CERT_STATUS_CHANGE_REQUEST" failure
                 // message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST,
+                        AuditEvent.CERT_STATUS_CHANGE_REQUEST,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditRequesterID,
@@ -887,7 +883,7 @@ public class CMCRevReqServlet extends CMSServlet {
                         auditApprovalStatus == RequestStatus.REJECTED ||
                         auditApprovalStatus == RequestStatus.CANCELED) {
                     auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED,
+                            AuditEvent.CERT_STATUS_CHANGE_REQUEST_PROCESSED,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditRequesterID,
@@ -909,7 +905,7 @@ public class CMCRevReqServlet extends CMSServlet {
                 // store a "CERT_STATUS_CHANGE_REQUEST" failure
                 // message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST,
+                        AuditEvent.CERT_STATUS_CHANGE_REQUEST,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditRequesterID,
@@ -926,7 +922,7 @@ public class CMCRevReqServlet extends CMSServlet {
                         auditApprovalStatus == RequestStatus.REJECTED ||
                         auditApprovalStatus == RequestStatus.CANCELED) {
                     auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED,
+                            AuditEvent.CERT_STATUS_CHANGE_REQUEST_PROCESSED,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditRequesterID,
@@ -945,7 +941,7 @@ public class CMCRevReqServlet extends CMSServlet {
                 // store a "CERT_STATUS_CHANGE_REQUEST" failure
                 // message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST,
+                        AuditEvent.CERT_STATUS_CHANGE_REQUEST,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditRequesterID,
@@ -962,7 +958,7 @@ public class CMCRevReqServlet extends CMSServlet {
                         auditApprovalStatus == RequestStatus.REJECTED ||
                         auditApprovalStatus == RequestStatus.CANCELED) {
                     auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED,
+                            AuditEvent.CERT_STATUS_CHANGE_REQUEST_PROCESSED,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditRequesterID,
diff --git a/base/server/cms/src/com/netscape/cms/servlet/cert/CertProcessor.java b/base/server/cms/src/com/netscape/cms/servlet/cert/CertProcessor.java
index 47b522208af05486a22abdd6196d8385dd615857..0534f9040b5922ace6a1946f9dccc155b6e89e3b 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/cert/CertProcessor.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/cert/CertProcessor.java
@@ -30,6 +30,7 @@ import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.EPropertyNotFound;
 import com.netscape.certsrv.cert.CertEnrollmentRequest;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.profile.EDeferException;
 import com.netscape.certsrv.profile.ERejectException;
@@ -230,7 +231,7 @@ public class CertProcessor extends CAProcessor {
                             ILogger.SIGNED_AUDIT_EMPTY_VALUE))) {
                         // store a message in the signed audit log file
                         auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.SUCCESS,
                                 auditRequesterID,
@@ -266,7 +267,7 @@ public class CertProcessor extends CAProcessor {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                        AuditEvent.CERT_REQUEST_PROCESSED,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditRequesterID,
@@ -284,7 +285,7 @@ public class CertProcessor extends CAProcessor {
                 req.setExtData(IRequest.ERROR_CODE, errorCode);
 
                 auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                        AuditEvent.CERT_REQUEST_PROCESSED,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditRequesterID,
diff --git a/base/server/cms/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java b/base/server/cms/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
index 79eba99d557119551539a72805eedd567373714b..68ac6da26172d386b4571d7b2de5211b1b367b42 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
@@ -46,6 +46,7 @@ import com.netscape.certsrv.ca.ICertificateAuthority;
 import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.AuditFormat;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.publish.IPublisherProcessor;
@@ -89,10 +90,6 @@ public class DoRevokeTPS extends CMSServlet {
     private final static String REVOKE = "revoke";
     private final static String ON_HOLD = "on-hold";
     private final static int ON_HOLD_REASON = 6;
-    private final static String LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST =
-            "LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_5";
-    private final static String LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED =
-            "LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED_7";
 
     public DoRevokeTPS() {
         super();
@@ -433,7 +430,7 @@ public class DoRevokeTPS extends CMSServlet {
                     CMS.debug(method + "Only have previously revoked certs in the list.");
                     // store a message in the signed audit log file
                     auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST,
+                            AuditEvent.CERT_STATUS_CHANGE_REQUEST,
                             auditSubjectID,
                             ILogger.SUCCESS,
                             auditRequesterID,
@@ -450,7 +447,7 @@ public class DoRevokeTPS extends CMSServlet {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST,
+                            AuditEvent.CERT_STATUS_CHANGE_REQUEST,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditRequesterID,
@@ -475,7 +472,7 @@ public class DoRevokeTPS extends CMSServlet {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST,
+                        AuditEvent.CERT_STATUS_CHANGE_REQUEST,
                         auditSubjectID,
                         ILogger.SUCCESS,
                         auditRequesterID,
@@ -561,7 +558,7 @@ public class DoRevokeTPS extends CMSServlet {
                             auditApprovalStatus == RequestStatus.REJECTED ||
                             auditApprovalStatus == RequestStatus.CANCELED) {
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED,
+                                    AuditEvent.CERT_STATUS_CHANGE_REQUEST_PROCESSED,
                                     auditSubjectID,
                                     ILogger.FAILURE,
                                     auditRequesterID,
@@ -752,7 +749,7 @@ public class DoRevokeTPS extends CMSServlet {
                     auditApprovalStatus == RequestStatus.REJECTED ||
                     auditApprovalStatus == RequestStatus.CANCELED) {
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED,
+                            AuditEvent.CERT_STATUS_CHANGE_REQUEST_PROCESSED,
                             auditSubjectID,
                             ILogger.SUCCESS,
                             auditRequesterID,
@@ -770,7 +767,7 @@ public class DoRevokeTPS extends CMSServlet {
                 // store a "CERT_STATUS_CHANGE_REQUEST" failure
                 // message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST,
+                            AuditEvent.CERT_STATUS_CHANGE_REQUEST,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditRequesterID,
@@ -787,7 +784,7 @@ public class DoRevokeTPS extends CMSServlet {
                         auditApprovalStatus == RequestStatus.REJECTED ||
                         auditApprovalStatus == RequestStatus.CANCELED) {
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED,
+                                AuditEvent.CERT_STATUS_CHANGE_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -809,7 +806,7 @@ public class DoRevokeTPS extends CMSServlet {
                 // store a "CERT_STATUS_CHANGE_REQUEST" failure
                 // message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST,
+                            AuditEvent.CERT_STATUS_CHANGE_REQUEST,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditRequesterID,
@@ -826,7 +823,7 @@ public class DoRevokeTPS extends CMSServlet {
                         auditApprovalStatus == RequestStatus.REJECTED ||
                         auditApprovalStatus == RequestStatus.CANCELED) {
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED,
+                                AuditEvent.CERT_STATUS_CHANGE_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
diff --git a/base/server/cms/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java b/base/server/cms/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java
index 39ccb493267f1e5a3a80625003f0810f94549ba9..30bde76139ef042215c159c63fdfe677a89d979a 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java
@@ -30,7 +30,7 @@ import javax.servlet.ServletException;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 
-import netscape.security.x509.X509CertImpl;
+import org.dogtagpki.server.connector.IRemoteRequest;
 
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authentication.AuthToken;
@@ -43,6 +43,7 @@ import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.ca.ICertificateAuthority;
 import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.AuditFormat;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.publish.IPublisherProcessor;
@@ -53,7 +54,7 @@ import com.netscape.cms.servlet.base.CMSServlet;
 import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.common.ECMSGWException;
 
-import org.dogtagpki.server.connector.IRemoteRequest;
+import netscape.security.x509.X509CertImpl;
 
 /**
  * 'Unrevoke' a certificate. (For certificates that are on-hold only,
@@ -78,10 +79,6 @@ public class DoUnrevokeTPS extends CMSServlet {
 
     private final static String OFF_HOLD = "off-hold";
     private final static int OFF_HOLD_REASON = 6;
-    private final static String LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST =
-            "LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_5";
-    private final static String LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED =
-            "LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED_7";
 
     public DoUnrevokeTPS() {
         super();
@@ -268,7 +265,7 @@ public class DoUnrevokeTPS extends CMSServlet {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST,
+                        AuditEvent.CERT_STATUS_CHANGE_REQUEST,
                         auditSubjectID,
                         ILogger.SUCCESS,
                         auditRequesterID,
@@ -465,7 +462,7 @@ public class DoUnrevokeTPS extends CMSServlet {
                     auditApprovalStatus == RequestStatus.REJECTED ||
                     auditApprovalStatus == RequestStatus.CANCELED) {
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED,
+                            AuditEvent.CERT_STATUS_CHANGE_REQUEST_PROCESSED,
                             auditSubjectID,
                             ILogger.SUCCESS,
                             auditRequesterID,
@@ -482,7 +479,7 @@ public class DoUnrevokeTPS extends CMSServlet {
                 // store a "CERT_STATUS_CHANGE_REQUEST" failure
                 // message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST,
+                            AuditEvent.CERT_STATUS_CHANGE_REQUEST,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditRequesterID,
@@ -499,7 +496,7 @@ public class DoUnrevokeTPS extends CMSServlet {
                         auditApprovalStatus == RequestStatus.REJECTED ||
                         auditApprovalStatus == RequestStatus.CANCELED) {
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED,
+                                AuditEvent.CERT_STATUS_CHANGE_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
diff --git a/base/server/cms/src/com/netscape/cms/servlet/cert/EnrollServlet.java b/base/server/cms/src/com/netscape/cms/servlet/cert/EnrollServlet.java
index 91caccf6cbf5cfc5afb05cfac754ade876abdf5b..37579678243081efdc10667269e1cd2e9ac0c412 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/cert/EnrollServlet.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/cert/EnrollServlet.java
@@ -58,6 +58,7 @@ import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertRecordList;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.AuditFormat;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.request.IRequest;
@@ -153,11 +154,6 @@ public class EnrollServlet extends CMSServlet {
             + "indeterminate reason for inability to process "
             + "cert request due to an EBaseException"
         };
-    private final static String LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST =
-            "LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST_5";
-    private final static String LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED =
-            "LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED_5";
-
     private static final String HEADER = "-----BEGIN NEW CERTIFICATE REQUEST-----";
     private static final String TRAILER = "-----END NEW CERTIFICATE REQUEST-----";
 
@@ -766,7 +762,7 @@ public class EnrollServlet extends CMSServlet {
                 //  an "agent" cert request for "bulk enrollment", or
                 //  an "EE" standard cert request)
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                            AuditEvent.NON_PROFILE_CERT_REQUEST,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditRequesterID,
@@ -829,7 +825,7 @@ public class EnrollServlet extends CMSServlet {
                 //  an "agent" cert request for "bulk enrollment", or
                 //  an "EE" standard cert request)
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                            AuditEvent.NON_PROFILE_CERT_REQUEST,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditRequesterID,
@@ -872,7 +868,7 @@ public class EnrollServlet extends CMSServlet {
                     //  an "agent" cert request for "bulk enrollment", or
                     //  an "EE" standard cert request)
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                                AuditEvent.NON_PROFILE_CERT_REQUEST,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -912,7 +908,7 @@ public class EnrollServlet extends CMSServlet {
                     //  an "agent" cert request for "bulk enrollment", or
                     //  an "EE" standard cert request)
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                                AuditEvent.NON_PROFILE_CERT_REQUEST,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -969,7 +965,7 @@ public class EnrollServlet extends CMSServlet {
                     //  an "agent" cert request for "bulk enrollment", or
                     //  an "EE" standard cert request)
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                                AuditEvent.NON_PROFILE_CERT_REQUEST,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1072,7 +1068,7 @@ public class EnrollServlet extends CMSServlet {
                         //  certificate, an "agent" cert request for
                         //  "bulk enrollment", or an "EE" standard cert request)
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                                    AuditEvent.NON_PROFILE_CERT_REQUEST,
                                     auditSubjectID,
                                     ILogger.FAILURE,
                                     auditRequesterID,
@@ -1102,7 +1098,7 @@ public class EnrollServlet extends CMSServlet {
                         //  certificate, an "agent" cert request for
                         //  "bulk enrollment", or an "EE" standard cert request)
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                                    AuditEvent.NON_PROFILE_CERT_REQUEST,
                                     auditSubjectID,
                                     ILogger.FAILURE,
                                     auditRequesterID,
@@ -1129,7 +1125,7 @@ public class EnrollServlet extends CMSServlet {
                         //  certificate, an "agent" cert request for
                         //  "bulk enrollment", or an "EE" standard cert request)
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                                    AuditEvent.NON_PROFILE_CERT_REQUEST,
                                     auditSubjectID,
                                     ILogger.FAILURE,
                                     auditRequesterID,
@@ -1177,7 +1173,7 @@ public class EnrollServlet extends CMSServlet {
                         //  certificate, an "agent" cert request for
                         //  "bulk enrollment", or an "EE" standard cert request)
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                                    AuditEvent.NON_PROFILE_CERT_REQUEST,
                                     auditSubjectID,
                                     ILogger.FAILURE,
                                     auditRequesterID,
@@ -1230,7 +1226,7 @@ public class EnrollServlet extends CMSServlet {
                         //  certificate, an "agent" cert request for
                         //  "bulk enrollment", or an "EE" standard cert request)
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                                    AuditEvent.NON_PROFILE_CERT_REQUEST,
                                     auditSubjectID,
                                     ILogger.FAILURE,
                                     auditRequesterID,
@@ -1279,7 +1275,7 @@ public class EnrollServlet extends CMSServlet {
                 //  an "agent" cert request for "bulk enrollment", or
                 //  an "EE" standard cert request)
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                            AuditEvent.NON_PROFILE_CERT_REQUEST,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditRequesterID,
@@ -1322,7 +1318,7 @@ public class EnrollServlet extends CMSServlet {
             //  an "agent" cert request for "bulk enrollment", or
             //  an "EE" standard cert request)
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                        AuditEvent.NON_PROFILE_CERT_REQUEST,
                         auditSubjectID,
                         ILogger.SUCCESS,
                         auditRequesterID,
@@ -1337,7 +1333,7 @@ public class EnrollServlet extends CMSServlet {
             //  an "agent" cert request for "bulk enrollment", or
             //  an "EE" standard cert request)
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                        AuditEvent.NON_PROFILE_CERT_REQUEST,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditRequesterID,
@@ -1374,7 +1370,7 @@ public class EnrollServlet extends CMSServlet {
                         // (automated "agent" cert request processed
                         //  - "accepted")
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                    AuditEvent.CERT_REQUEST_PROCESSED,
                                     auditSubjectID,
                                     ILogger.SUCCESS,
                                     auditRequesterID,
@@ -1388,7 +1384,7 @@ public class EnrollServlet extends CMSServlet {
 
                     // (automated "agent" cert request processed - "rejected")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1408,7 +1404,7 @@ public class EnrollServlet extends CMSServlet {
             if (completed == false) {
                 // (automated "agent" cert request processed - "rejected")
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                            AuditEvent.CERT_REQUEST_PROCESSED,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditRequesterID,
@@ -1464,7 +1460,7 @@ public class EnrollServlet extends CMSServlet {
                 for (int i = 0; i < issuedCerts.length; i++) {
                     // (automated "agent" cert request processed - "accepted")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.SUCCESS,
                                 auditRequesterID,
@@ -1487,7 +1483,7 @@ public class EnrollServlet extends CMSServlet {
                 for (int i = 0; i < issuedCerts.length; i++) {
                     // (automated "agent" cert request processed - "accepted")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.SUCCESS,
                                 auditRequesterID,
@@ -1504,7 +1500,7 @@ public class EnrollServlet extends CMSServlet {
 
                 // (automated "agent" cert request processed - "rejected")
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                            AuditEvent.CERT_REQUEST_PROCESSED,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditRequesterID,
@@ -1520,7 +1516,7 @@ public class EnrollServlet extends CMSServlet {
             // store a message in the signed audit log file
             // (automated "agent" cert request processed - "rejected")
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                        AuditEvent.CERT_REQUEST_PROCESSED,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditRequesterID,
diff --git a/base/server/cms/src/com/netscape/cms/servlet/cert/RequestProcessor.java b/base/server/cms/src/com/netscape/cms/servlet/cert/RequestProcessor.java
index 436e7a99a78e7bf4a46f626f628652f5d3d1301c..474a2e5d7de9a898b7c4c3e521855369583ed0a5 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/cert/RequestProcessor.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/cert/RequestProcessor.java
@@ -40,6 +40,7 @@ import com.netscape.certsrv.ca.AuthorityID;
 import com.netscape.certsrv.ca.CANotFoundException;
 import com.netscape.certsrv.ca.ICertificateAuthority;
 import com.netscape.certsrv.cert.CertReviewResponse;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.profile.EDeferException;
 import com.netscape.certsrv.profile.EProfileException;
@@ -283,7 +284,7 @@ public class RequestProcessor extends CertProcessor {
 
         // store a message in the signed audit log file
         auditMessage = CMS.getLogMessage(
-                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                AuditEvent.CERT_REQUEST_PROCESSED,
                 auditSubjectID,
                 ILogger.SUCCESS,
                 auditRequesterID,
@@ -319,7 +320,7 @@ public class RequestProcessor extends CertProcessor {
 
         // store a message in the signed audit log file
         auditMessage = CMS.getLogMessage(
-                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                AuditEvent.CERT_REQUEST_PROCESSED,
                 auditSubjectID,
                 ILogger.SUCCESS,
                 auditRequesterID,
@@ -399,7 +400,7 @@ public class RequestProcessor extends CertProcessor {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                    LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                    AuditEvent.CERT_REQUEST_PROCESSED,
                     auditSubjectID,
                     ILogger.SUCCESS,
                     auditRequesterID,
@@ -411,7 +412,7 @@ public class RequestProcessor extends CertProcessor {
         } catch (EProfileException eAudit1) {
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                    LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                    AuditEvent.CERT_REQUEST_PROCESSED,
                     auditSubjectID,
                     ILogger.FAILURE,
                     auditRequesterID,
diff --git a/base/server/cms/src/com/netscape/cms/servlet/cert/RevocationProcessor.java b/base/server/cms/src/com/netscape/cms/servlet/cert/RevocationProcessor.java
index ffcda63f5f295157fe2527942d5f0c9914adf3aa..b90966e0f22622acbd3323276a20e53642208a33 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/cert/RevocationProcessor.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/cert/RevocationProcessor.java
@@ -36,6 +36,7 @@ import com.netscape.certsrv.ca.ICertificateAuthority;
 import com.netscape.certsrv.dbs.certdb.CertId;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.AuditFormat;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.publish.IPublisherProcessor;
@@ -62,11 +63,6 @@ public class RevocationProcessor extends CertProcessor {
     public final static String ON_HOLD = "on-hold";
     public final static String OFF_HOLD = "off-hold";
 
-    public final static String LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST =
-            "LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_5";
-    public final static String LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED =
-            "LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED_7";
-
     long startTime;
 
     ICertificateAuthority authority;
@@ -486,7 +482,7 @@ public class RevocationProcessor extends CertProcessor {
             return;
 
         String auditMessage = CMS.getLogMessage(
-                LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST,
+                AuditEvent.CERT_STATUS_CHANGE_REQUEST,
                 auditor.getSubjectID(),
                 status,
                 requestID == null ? ILogger.UNIDENTIFIED : requestID.toString(),
@@ -510,7 +506,7 @@ public class RevocationProcessor extends CertProcessor {
                 || requestStatus == RequestStatus.CANCELED)) return;
 
         String auditMessage = CMS.getLogMessage(
-                LOGGING_SIGNED_AUDIT_CERT_STATUS_CHANGE_REQUEST_PROCESSED,
+                AuditEvent.CERT_STATUS_CHANGE_REQUEST_PROCESSED,
                 auditor.getSubjectID(),
                 status,
                 requestID == null ? ILogger.UNIDENTIFIED : requestID.toString(),
diff --git a/base/server/cms/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java b/base/server/cms/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
index c2c6cde45f28a4d187bdaab331957ea0292a13c9..150c36fb74396b113e8876eaef5a34832f109e15 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
@@ -73,6 +73,7 @@ import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.base.SessionContext;
 import com.netscape.certsrv.ca.ICertificateAuthority;
 import com.netscape.certsrv.ldap.ILdapConnFactory;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.AuditFormat;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.profile.EProfileException;
@@ -1495,7 +1496,7 @@ public class CRSEnrollment extends HttpServlet {
 
                 // perform audit log
                 String auditMessage = CMS.getLogMessage(
-                            "LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST_5",
+                            AuditEvent.NON_PROFILE_CERT_REQUEST,
                             httpReq.getRemoteAddr(),
                             ILogger.FAILURE,
                             req.getTransactionID(),
diff --git a/base/server/cms/src/com/netscape/cms/servlet/connector/ConnectorServlet.java b/base/server/cms/src/com/netscape/cms/servlet/connector/ConnectorServlet.java
index 014db79b7c78e7e22be0388f03e94c3611376c00..2299e607975f2bba0417082ddfe551eac1754a3e 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/connector/ConnectorServlet.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/connector/ConnectorServlet.java
@@ -98,11 +98,6 @@ public class ConnectorServlet extends CMSServlet {
 
     protected ILogger mSignedAuditLogger = CMS.getSignedAuditLogger();
     private final static String SIGNED_AUDIT_PROTECTION_METHOD_SSL = "ssl";
-    private final static String LOGGING_SIGNED_AUDIT_PROFILE_CERT_REQUEST =
-            "LOGGING_SIGNED_AUDIT_PROFILE_CERT_REQUEST_5";
-    private final static String LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED =
-            "LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED_5";
-
     private final static byte EOL[] = { Character.LINE_SEPARATOR };
 
     public ConnectorServlet() {
@@ -554,7 +549,7 @@ public class ConnectorServlet extends CMSServlet {
 
                     // store a message in the signed audit log file
                     auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_PROFILE_CERT_REQUEST,
+                            AuditEvent.PROFILE_CERT_REQUEST,
                             auditSubjectID,
                             ILogger.SUCCESS,
                             auditRequesterID,
@@ -568,7 +563,7 @@ public class ConnectorServlet extends CMSServlet {
 
                     // store a message in the signed audit log file
                     auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_PROFILE_CERT_REQUEST,
+                            AuditEvent.PROFILE_CERT_REQUEST,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditRequesterID,
@@ -582,7 +577,7 @@ public class ConnectorServlet extends CMSServlet {
 
                     // store a message in the signed audit log file
                     auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_PROFILE_CERT_REQUEST,
+                            AuditEvent.PROFILE_CERT_REQUEST,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditRequesterID,
@@ -636,7 +631,7 @@ public class ConnectorServlet extends CMSServlet {
                                    ILogger.SIGNED_AUDIT_EMPTY_VALUE))) {
                             // store a message in the signed audit log file
                             auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                    AuditEvent.CERT_REQUEST_PROCESSED,
                                     auditSubjectID,
                                     ILogger.SUCCESS,
                                     auditRequesterID,
@@ -657,7 +652,7 @@ public class ConnectorServlet extends CMSServlet {
                                    ILogger.SIGNED_AUDIT_EMPTY_VALUE))) {
                             // store a message in the signed audit log file
                             auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                    AuditEvent.CERT_REQUEST_PROCESSED,
                                     auditSubjectID,
                                     ILogger.FAILURE,
                                     auditRequesterID,
diff --git a/base/server/cms/src/com/netscape/cms/servlet/processors/CAProcessor.java b/base/server/cms/src/com/netscape/cms/servlet/processors/CAProcessor.java
index d5a9c4d405c0990d84f0541c6db1884adeab3f70..566923325833100f9d5a106a9653be7308f0f6ac 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/processors/CAProcessor.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/processors/CAProcessor.java
@@ -117,8 +117,6 @@ public class CAProcessor extends Processor {
     public static final String ACL_INFO = "ACLinfo";
     public static final String PROFILE_SUB_ID = "profileSubId";
 
-    public final static String LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED =
-            "LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED_5";
     public final static String LOGGING_SIGNED_AUDIT_ROLE_ASSUME =
             "LOGGING_SIGNED_AUDIT_ROLE_ASSUME_3";
     public final static String SIGNED_AUDIT_CERT_REQUEST_REASON =
diff --git a/base/server/cms/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java b/base/server/cms/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java
index c233e415ba6c5fa332b5ddcbe2cf8e0bc987a948..fd155a6875a2b3ca3fa37bff442ac61d32416ad4 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java
@@ -44,6 +44,7 @@ import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.SessionContext;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.profile.EDeferException;
 import com.netscape.certsrv.profile.EProfileException;
@@ -83,9 +84,6 @@ public class ProfileSubmitCMCServlet extends ProfileServlet {
     private String mProfileSubId = null;
     private String requestB64 = null;
 
-    private final static String LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED =
-            "LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED_5";
-
     public ProfileSubmitCMCServlet() {
     }
 
@@ -682,7 +680,7 @@ public class ProfileSubmitCMCServlet extends ProfileServlet {
                                     ILogger.SIGNED_AUDIT_EMPTY_VALUE))) {
                             // store a message in the signed audit log file
                             auditMessage = CMS.getLogMessage(
-                                        LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                        AuditEvent.CERT_REQUEST_PROCESSED,
                                         auditSubjectID,
                                         ILogger.SUCCESS,
                                         auditRequesterID,
@@ -738,7 +736,7 @@ public class ProfileSubmitCMCServlet extends ProfileServlet {
                     if (errorCode.equals("1")) {
                         // store a message in the signed audit log file
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                    AuditEvent.CERT_REQUEST_PROCESSED,
                                     auditSubjectID,
                                     ILogger.FAILURE,
                                     auditRequesterID,
@@ -753,7 +751,7 @@ public class ProfileSubmitCMCServlet extends ProfileServlet {
                     } else if (errorCode.equals("3")) {
                         // store a message in the signed audit log file
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                    AuditEvent.CERT_REQUEST_PROCESSED,
                                     auditSubjectID,
                                     ILogger.FAILURE,
                                     auditRequesterID,
@@ -787,7 +785,7 @@ public class ProfileSubmitCMCServlet extends ProfileServlet {
                                 ILogger.SIGNED_AUDIT_EMPTY_VALUE))) {
                             // store a message in the signed audit log file
                             auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                    AuditEvent.CERT_REQUEST_PROCESSED,
                                     auditSubjectID,
                                     ILogger.SUCCESS,
                                     auditRequesterID,
diff --git a/base/server/cms/src/com/netscape/cms/servlet/request/ProcessCertReq.java b/base/server/cms/src/com/netscape/cms/servlet/request/ProcessCertReq.java
index 367c558cb0f76bc3ac597a7e03bb79bf381c9f96..d15774e29a68d218d0dabaefb7bdf67dfd3a90dd 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/request/ProcessCertReq.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/request/ProcessCertReq.java
@@ -35,21 +35,6 @@ import javax.servlet.ServletOutputStream;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 
-import netscape.security.extensions.NSCertTypeExtension;
-import netscape.security.extensions.PresenceServerExtension;
-import netscape.security.util.DerValue;
-import netscape.security.x509.AlgorithmId;
-import netscape.security.x509.BasicConstraintsExtension;
-import netscape.security.x509.CertificateAlgorithmId;
-import netscape.security.x509.CertificateExtensions;
-import netscape.security.x509.CertificateSubjectName;
-import netscape.security.x509.CertificateValidity;
-import netscape.security.x509.CertificateVersion;
-import netscape.security.x509.Extension;
-import netscape.security.x509.X500Name;
-import netscape.security.x509.X509CertImpl;
-import netscape.security.x509.X509CertInfo;
-
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authentication.AuthToken;
 import com.netscape.certsrv.authentication.IAuthToken;
@@ -62,6 +47,7 @@ import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.SessionContext;
 import com.netscape.certsrv.common.Constants;
 import com.netscape.certsrv.common.ICMSRequest;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.AuditFormat;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.publish.IPublisherProcessor;
@@ -80,6 +66,21 @@ import com.netscape.cms.servlet.common.CMSTemplateParams;
 import com.netscape.cms.servlet.common.ECMSGWException;
 import com.netscape.cmsutil.util.Utils;
 
+import netscape.security.extensions.NSCertTypeExtension;
+import netscape.security.extensions.PresenceServerExtension;
+import netscape.security.util.DerValue;
+import netscape.security.x509.AlgorithmId;
+import netscape.security.x509.BasicConstraintsExtension;
+import netscape.security.x509.CertificateAlgorithmId;
+import netscape.security.x509.CertificateExtensions;
+import netscape.security.x509.CertificateSubjectName;
+import netscape.security.x509.CertificateValidity;
+import netscape.security.x509.CertificateVersion;
+import netscape.security.x509.Extension;
+import netscape.security.x509.X500Name;
+import netscape.security.x509.X509CertImpl;
+import netscape.security.x509.X509CertInfo;
+
 /**
  * Agent operations on Certificate requests. This servlet is used
  * by an Agent to approve, reject, reassign, or change a certificate
@@ -170,10 +171,6 @@ public class ProcessCertReq extends CMSServlet {
             + "indeterminate reason for inability to process "
             + "cert request due to a NoSuchAlgorithmException"
         };
-    private final static String LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST =
-            "LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST_5";
-    private final static String LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED =
-            "LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED_5";
 
     /**
      * Process request.
@@ -457,7 +454,7 @@ public class ProcessCertReq extends CMSServlet {
                     if (toDo.equals(SIGNED_AUDIT_CLONING)) {
                         // ("agent" cert request for "cloning")
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                                    AuditEvent.NON_PROFILE_CERT_REQUEST,
                                     auditSubjectID,
                                     ILogger.FAILURE,
                                     auditRequesterID,
@@ -468,7 +465,7 @@ public class ProcessCertReq extends CMSServlet {
                     } else if (toDo.equals(SIGNED_AUDIT_ACCEPTANCE)) {
                         // (manual "agent" cert request processed - "accepted")
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                    AuditEvent.CERT_REQUEST_PROCESSED,
                                     auditSubjectID,
                                     ILogger.FAILURE,
                                     auditRequesterID,
@@ -479,7 +476,7 @@ public class ProcessCertReq extends CMSServlet {
                     } else if (toDo.equals(SIGNED_AUDIT_CANCELLATION)) {
                         // (manual "agent" cert request processed - "cancelled")
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                    AuditEvent.CERT_REQUEST_PROCESSED,
                                     auditSubjectID,
                                     ILogger.FAILURE,
                                     auditRequesterID,
@@ -490,7 +487,7 @@ public class ProcessCertReq extends CMSServlet {
                     } else if (toDo.equals(SIGNED_AUDIT_REJECTION)) {
                         // (manual "agent" cert request processed - "rejected")
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                    AuditEvent.CERT_REQUEST_PROCESSED,
                                     auditSubjectID,
                                     ILogger.FAILURE,
                                     auditRequesterID,
@@ -940,7 +937,7 @@ public class ProcessCertReq extends CMSServlet {
                                 // (one for each manual "agent"
                                 //  cert request processed - "accepted")
                                 auditMessage = CMS.getLogMessage(
-                                            LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                            AuditEvent.CERT_REQUEST_PROCESSED,
                                             auditSubjectID,
                                             ILogger.SUCCESS,
                                             auditRequesterID,
@@ -984,7 +981,7 @@ public class ProcessCertReq extends CMSServlet {
                             // (manual "agent" cert request processed
                             //  - "accepted")
                             auditMessage = CMS.getLogMessage(
-                                        LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                        AuditEvent.CERT_REQUEST_PROCESSED,
                                         auditSubjectID,
                                         ILogger.SUCCESS,
                                         auditRequesterID,
@@ -1109,7 +1106,7 @@ public class ProcessCertReq extends CMSServlet {
                     // store a message in the signed audit log file
                     // (manual "agent" cert request processed - "rejected")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.SUCCESS,
                                 auditRequesterID,
@@ -1171,7 +1168,7 @@ public class ProcessCertReq extends CMSServlet {
                     // store a message in the signed audit log file
                     // (manual "agent" cert request processed - "cancelled")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.SUCCESS,
                                 auditRequesterID,
@@ -1238,7 +1235,7 @@ public class ProcessCertReq extends CMSServlet {
                     // store a message in the signed audit log file
                     // ("agent" cert request for "cloning")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                                AuditEvent.NON_PROFILE_CERT_REQUEST,
                                 auditSubjectID,
                                 ILogger.SUCCESS,
                                 auditRequesterID,
@@ -1271,7 +1268,7 @@ public class ProcessCertReq extends CMSServlet {
                 if (toDo.equals(SIGNED_AUDIT_CLONING)) {
                     // ("agent" cert request for "cloning")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                                AuditEvent.NON_PROFILE_CERT_REQUEST,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1282,7 +1279,7 @@ public class ProcessCertReq extends CMSServlet {
                 } else if (toDo.equals(SIGNED_AUDIT_ACCEPTANCE)) {
                     // (manual "agent" cert request processed - "accepted")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1293,7 +1290,7 @@ public class ProcessCertReq extends CMSServlet {
                 } else if (toDo.equals(SIGNED_AUDIT_CANCELLATION)) {
                     // (manual "agent" cert request processed - "cancelled")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1304,7 +1301,7 @@ public class ProcessCertReq extends CMSServlet {
                 } else if (toDo.equals(SIGNED_AUDIT_REJECTION)) {
                     // (manual "agent" cert request processed - "rejected")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1324,7 +1321,7 @@ public class ProcessCertReq extends CMSServlet {
                 if (toDo.equals(SIGNED_AUDIT_CLONING)) {
                     // ("agent" cert request for "cloning")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                                AuditEvent.NON_PROFILE_CERT_REQUEST,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1335,7 +1332,7 @@ public class ProcessCertReq extends CMSServlet {
                 } else if (toDo.equals(SIGNED_AUDIT_ACCEPTANCE)) {
                     // (manual "agent" cert request processed - "accepted")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1346,7 +1343,7 @@ public class ProcessCertReq extends CMSServlet {
                 } else if (toDo.equals(SIGNED_AUDIT_CANCELLATION)) {
                     // (manual "agent" cert request processed - "cancelled")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1357,7 +1354,7 @@ public class ProcessCertReq extends CMSServlet {
                 } else if (toDo.equals(SIGNED_AUDIT_REJECTION)) {
                     // (manual "agent" cert request processed - "rejected")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1378,7 +1375,7 @@ public class ProcessCertReq extends CMSServlet {
                 if (toDo.equals(SIGNED_AUDIT_CLONING)) {
                     // ("agent" cert request for "cloning")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                                AuditEvent.NON_PROFILE_CERT_REQUEST,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1389,7 +1386,7 @@ public class ProcessCertReq extends CMSServlet {
                 } else if (toDo.equals(SIGNED_AUDIT_ACCEPTANCE)) {
                     // (manual "agent" cert request processed - "accepted")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1400,7 +1397,7 @@ public class ProcessCertReq extends CMSServlet {
                 } else if (toDo.equals(SIGNED_AUDIT_CANCELLATION)) {
                     // (manual "agent" cert request processed - "cancelled")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1411,7 +1408,7 @@ public class ProcessCertReq extends CMSServlet {
                 } else if (toDo.equals(SIGNED_AUDIT_REJECTION)) {
                     // (manual "agent" cert request processed - "rejected")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1432,7 +1429,7 @@ public class ProcessCertReq extends CMSServlet {
                 if (toDo.equals(SIGNED_AUDIT_CLONING)) {
                     // ("agent" cert request for "cloning")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                                AuditEvent.NON_PROFILE_CERT_REQUEST,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1443,7 +1440,7 @@ public class ProcessCertReq extends CMSServlet {
                 } else if (toDo.equals(SIGNED_AUDIT_ACCEPTANCE)) {
                     // (manual "agent" cert request processed - "accepted")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1454,7 +1451,7 @@ public class ProcessCertReq extends CMSServlet {
                 } else if (toDo.equals(SIGNED_AUDIT_CANCELLATION)) {
                     // (manual "agent" cert request processed - "cancelled")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
@@ -1465,7 +1462,7 @@ public class ProcessCertReq extends CMSServlet {
                 } else if (toDo.equals(SIGNED_AUDIT_REJECTION)) {
                     // (manual "agent" cert request processed - "rejected")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                AuditEvent.CERT_REQUEST_PROCESSED,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditRequesterID,
-- 
2.9.3

